// internal/models/response.go
package models

// EventResponse represents an event with NIP-19 encoded identifiers
type EventResponse struct {
	ID        string     `json:"id"`        // Raw hex event ID
	Nevent    string     `json:"nevent"`    // NIP-19 encoded event ID with relay info
	Note      string     `json:"note"`      // NIP-19 encoded event ID without relay info
	Pubkey    string     `json:"pubkey"`    // Raw hex pubkey
	Npub      string     `json:"npub"`      // NIP-19 encoded pubkey
	CreatedAt int64      `json:"created_at"`
	Kind      int        `json:"kind"`
	Content   string     `json:"content"`
	Tags      [][]string `json:"tags"`
	Relays    []string   `json:"relays"`    // Relays where the event was published
}